%global githash a1652fd
%global gitdate 20210225

Name:           neon2sse
Version:        1 
Release:        %{gitdate}.git%{githash}%{?dist}
Summary:        Simplify ARM->IA32 porting
License:        BSD
URL:            https://github.com/intel/ARM_NEON_2_x86_SSE
BuildArch:      noarch

Source0:        arm_neon_2_x86_sse.tar.xz

BuildRequires:  cmake gcc-c++
AutoReq:	no

%global __cmake_in_source_build 1

%description
The NEON_2_SSE.h file is intended to simplify ARM->IA32 porting.
It makes the correspondence (or a real port) between ARM NEON
intrinsics (as defined in "arm_neon.h") header and x86 SSE
(up to SSE4.2) intrinsic functions as defined in corresponding
x86 compilers headers files.

%package        devel
Summary:        Development files

%description    devel
This package contains the development files for %{name}.



%prep
%setup -q -n arm_neon_2_x86_sse



%build
rm -rf %{buildroot}

sed -i 's|lib/|%{_lib}/|' CMakeLists.txt

mkdir build
pushd build

%cmake .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo

make %{?_smp_mflags}

popd


%install

rm -rf %{buildroot}

pushd build
make install DESTDIR=%{buildroot}
popd



%files devel
%license LICENSE
%doc ReadMe.md
%{_includedir}/*
%{_libdir}/cmake/*


%changelog
* Thu Dec 30 2021 Forrestly <fin@linux.alibaba.com> - 0.2
- Disable AutoReq

* Fri Sep 25 2020 Cristian Balint <cristian.balint@gmail.com> - 0.1
- initial build
